// GlobalError.h: interface for the CGlobalError class.
//
// This source file is a supplement to the article "Digitalni zvuk". The article
// was published in the #34 issue of the "PC" computer monthly, published in
// Belgrade, Yugoslavia by "PC Press"
//
// You can freely use, modify and redistribute this file, provided that this
// header is kept unchanged
//
//                                                                 Ivica Nikolic
//                                                      ivica@galeb.etf.bg.ac.yu
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLOBALERROR_H__CF4745EF_B04C_11D1_863D_000000000000__INCLUDED_)
#define AFX_GLOBALERROR_H__CF4745EF_B04C_11D1_863D_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CGlobalError
{
public:
	CGlobalError();
	~CGlobalError();

	HANDLE GetHandle();

	void Raise();
	void Reset();
	BOOL HasOccured();

	static CGlobalError g_Instance;

private:
	HANDLE m_hEvent;
};

#define GE_INST CGlobalError::g_Instance

#endif // !defined(AFX_GLOBALERROR_H__CF4745EF_B04C_11D1_863D_000000000000__INCLUDED_)
