// Thread.h: interface for the CThread class.
//
// This source file is a supplement to the article "Digitalni zvuk". The article
// was published in the #34 issue of the "PC" computer monthly, published in
// Belgrade, Yugoslavia by "PC Press"
//
// You can freely use, modify and redistribute this file, provided that this
// header is kept unchanged
//
//                                                                 Ivica Nikolic
//                                                      ivica@galeb.etf.bg.ac.yu
//
////////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_THREAD_H__CF4745E7_B04C_11D1_863D_000000000000__INCLUDED_)
#define AFX_THREAD_H__CF4745E7_B04C_11D1_863D_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CThread  
{
public:
	CThread();
	virtual ~CThread();

	virtual void Run() = 0;

	DWORD SuspendThread();
	DWORD ResumeThread();
	BOOL IsFinished();

	void SetFinishEvent();
	BOOL IsFinishEventSet();

	HANDLE GetThreadHandle() const;

protected:
	static DWORD WINAPI ThreadFunc( void* pStartup );

	HANDLE m_hThread;
	HANDLE m_hEventShouldFinish;
};

#endif // !defined(AFX_THREAD_H__CF4745E7_B04C_11D1_863D_000000000000__INCLUDED_)
